/*
 * Copyright 2011 The Kuali Foundation.
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.kfs.module.ar.document.dataaccess;

import org.kuali.kfs.module.ar.businessobject.CashControlDetail;

public interface CashControlDetailDao {

    /**
     * 
     * Retrieves the CashControlDetail object associated with a given reference Document 
     * Number.
     * 
     * This will typically be the PaymentApplication Document Number that is generated by 
     * the CashControl document.
     * 
     * @param referenceDocumentNumber The PayApp document number you want to find the associated 
     *                                CashControlDetail record for.
     * @return The associated CashControlDetail record if it exists, null if it doesnt.
     */
    public CashControlDetail getCashControlDetailByRefDocNumber(String referenceDocumentNumber);
    
}
