/*
 * Copyright 2011 The Kuali Foundation.
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.kfs.module.ec;

import org.kuali.kfs.sys.KFSPropertyConstants;

/**
 * Constants that represent a property name in an effort reporting business object.
 */
public class EffortPropertyConstants {
    public static final String ACCOUNT_ACCOUNT_TYPE_CODE = KFSPropertyConstants.ACCOUNT + "." + KFSPropertyConstants.ACCOUNT_TYPE_CODE;
    
    public static final String EFFORT_CERTIFICATION_BUILD_NUMBER = "effortCertificationBuildNumber";
    public static final String EFFORT_CERTIFICATION_CALCULATED_OVERALL_PERCENT = "effortCertificationCalculatedOverallPercent";
    public static final String EFFORT_CERTIFICATION_DETAIL_LINE = "effortCertificationDetailLine";
    public static final String EFFORT_CERTIFICATION_DETAIL_LINES = "effortCertificationDetailLines";
    public static final String EFFORT_CERTIFICATION_DOCUMENT = "effortCertificationDocument";
    public static final String EFFORT_CERTIFICATION_ORIGINAL_PAYROLL_AMOUNT = "effortCertificationOriginalPayrollAmount";
    public static final String EFFORT_CERTIFICATION_PAYROLL_AMOUNT = "effortCertificationPayrollAmount";
    public static final String EFFORT_CERTIFICATION_PERIOD_STATUS_CODE = "effortCertificationPeriodStatusCode";
    public static final String EFFORT_CERTIFICATION_REPORT_BEGIN_FISCAL_YEAR = "effortCertificationReportBeginFiscalYear";
    public static final String EFFORT_CERTIFICATION_REPORT_BEGIN_PERIOD_CODE = "effortCertificationReportBeginPeriodCode";
    public static final String EFFORT_CERTIFICATION_REPORT_DEFINITION = "effortCertificationReportDefinition";
    public static final String EFFORT_CERTIFICATION_REPORT_END_FISCAL_YEAR = "effortCertificationReportEndFiscalYear";
    public static final String EFFORT_CERTIFICATION_REPORT_END_PERIOD_CODE = "effortCertificationReportEndPeriodCode";
    public static final String EFFORT_CERTIFICATION_REPORT_NUMBER = "effortCertificationReportNumber";
    public static final String EFFORT_CERTIFICATION_REPORT_PERIOD_STATUS_CODE = "effortCertificationReportPeriodStatusCode";
    public static final String EFFORT_CERTIFICATION_REPORT_PERIOD_TITLE = "effortCertificationReportPeriodTitle";    
    public static final String EFFORT_CERTIFICATION_REPORT_POSITIONS = "effortCertificationReportPositions";
    public static final String EFFORT_CERTIFICATION_REPORT_RETURN_DATE = "effortCertificationReportReturnDate";
    public static final String EFFORT_CERTIFICATION_REPORT_TYPE = "effortCertificationReportType";   
    public static final String EFFORT_CERTIFICATION_REPORT_TYPE_CODE = "effortCertificationReportTypeCode";
    public static final String EFFORT_CERTIFICATION_UPDATED_OVERALL_PERCENT = "effortCertificationUpdatedOverallPercent";
    public static final String EFFORT_CERTIFICATION_REPORT_POSITION_OBJECT_GROUP_CODE = "effortCertificationReportPositionObjectGroupCode";

    public static final String EXPENSE_TRANSFER_FISCAL_PERIOD = "expenseTransferFiscalPeriod";
    public static final String EXPENSE_TRANSFER_FISCAL_PERIOD_CODE = "expenseTransferFiscalPeriodCode";
    public static final String EXPENSE_TRANSFER_FISCAL_YEAR = "expenseTransferFiscalYear";
    
    public static final String LABOR_OBJECT_FRINGE_OR_SALARY_CODE = KFSPropertyConstants.LABOR_OBJECT + "." + KFSPropertyConstants.FINANCIAL_OBJECT_FRINGE_OR_SALARY_CODE;
    public static final String SOURCE_ACCOUNT_NUMBER = "sourceAccountNumber";
    public static final String SOURCE_CHART_OF_ACCOUNTS_CODE = "sourceChartOfAccountsCode";
    public static final String COST_SHARE_SOURCE_SUB_ACCOUNT_NUMBER ="costShareSourceSubAccountNumber";
    public static final String EFFORT_CERTIFICATION_DOCUMENT_NEW_LINE = "newDetailLine";

    public static final String PERSISED_PAYROLL_AMOUNT = "persistedPayrollAmount";
    public static final String PERSISED_EFFORT_PERCENT = "persistedEffortPercent";
    public static final String NEW_LINE_INDICATOR = "newLineIndicator";

    public static final String SUMMARIZED_DETAIL_LINES = "summarizedDetailLines";
}
