/*
 * Copyright 2011 The Kuali Foundation.
 * 
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.opensource.org/licenses/ecl2.php
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.kfs.module.purap.document.validation.event;

import org.kuali.kfs.sys.KFSConstants;
import org.kuali.kfs.sys.document.validation.event.AttributedDocumentEventBase;
import org.kuali.rice.kns.document.Document;

/**
 * Calculate event for Commodity Codes for distribution
 * 
 */
public final class AttributedCommodityCodesForDistributionEvent extends AttributedDocumentEventBase {

    private final String purchasingCommodityCode;
    
    /**
     * Constructs a CommodityCodesForDistributionEvent with the given errorPathPrefix, document, and item.
     * 
     * @param errorPathPrefix the error path
     * @param document document the event was invoked upon
     */
    public AttributedCommodityCodesForDistributionEvent(String errorPathPrefix, Document document, String purchasingCommodityCode) {
        super("Determing commodity codes for distribution on document " + getDocumentId(document), errorPathPrefix, document);
        
        this.purchasingCommodityCode = purchasingCommodityCode;
    }

    public String getPurchasingCommodityCode() {
        return purchasingCommodityCode;
    }

}
